package com.yanzhu.project.service;

import java.util.List;
import com.yanzhu.project.domain.ProProjectApply;

/**
 * 项目申请Service接口
 * 
 * @author yanZhu
 * @date 2024-02-23
 */
public interface IProProjectApplyService 
{
    /**
     * 查询项目申请
     * 
     * @param id 项目申请主键
     * @return 项目申请
     */
    public ProProjectApply selectProProjectApplyById(Long id);

    /**
     * 查询项目申请列表
     * 
     * @param proProjectApply 项目申请
     * @return 项目申请集合
     */
    public List<ProProjectApply> selectProProjectApplyList(ProProjectApply proProjectApply);

    /**
     * 新增项目申请
     * 
     * @param proProjectApply 项目申请
     * @return 结果
     */
    public int insertProProjectApply(ProProjectApply proProjectApply);

    /**
     * 修改项目申请
     * 
     * @param proProjectApply 项目申请
     * @return 结果
     */
    public int updateProProjectApply(ProProjectApply proProjectApply);

    /**
     * 批量删除项目申请
     * 
     * @param ids 需要删除的项目申请主键集合
     * @return 结果
     */
    public int deleteProProjectApplyByIds(Long[] ids);

    /**
     * 删除项目申请信息
     * 
     * @param id 项目申请主键
     * @return 结果
     */
    public int deleteProProjectApplyById(Long id);
}
